package com.kingdee.eas.custom.performancenew;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPersonRelationOrgInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractPersonRelationOrgInfo()
    {
        this("id");
    }
    protected AbstractPersonRelationOrgInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效A比例(%)property 
     */
    public int getMeritA()
    {
        return getInt("meritA");
    }
    public void setMeritA(int item)
    {
        setInt("meritA", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效B+比例(%)property 
     */
    public int getMeritBplus()
    {
        return getInt("meritBplus");
    }
    public void setMeritBplus(int item)
    {
        setInt("meritBplus", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效B比例(%)property 
     */
    public int getMeritB()
    {
        return getInt("meritB");
    }
    public void setMeritB(int item)
    {
        setInt("meritB", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效B_比例(%)property 
     */
    public int getMeritBminus()
    {
        return getInt("meritBminus");
    }
    public void setMeritBminus(int item)
    {
        setInt("meritBminus", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效C比例(%)property 
     */
    public int getMeritC()
    {
        return getInt("meritC");
    }
    public void setMeritC(int item)
    {
        setInt("meritC", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效D比例(%)property 
     */
    public int getMeritD()
    {
        return getInt("meritD");
    }
    public void setMeritD(int item)
    {
        setInt("meritD", item);
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 组织绩效得分property 
     */
    public com.kingdee.eas.custom.performancenew.app.scoreEnum getScore()
    {
        return com.kingdee.eas.custom.performancenew.app.scoreEnum.getEnum(getString("score"));
    }
    public void setScore(com.kingdee.eas.custom.performancenew.app.scoreEnum item)
    {
		if (item != null) {
        setString("score", item.getValue());
		}
    }
    /**
     * Object:组织绩效与个人绩效分布对应关系's 个人绩效比例property 
     */
    public String getRatioPerformance()
    {
        return getString("ratioPerformance");
    }
    public void setRatioPerformance(String item)
    {
        setString("ratioPerformance", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("96A6E200");
    }
}